// deck.gl-community
// SPDX-License-Identifier: MIT
// Copyright (c) vis.gl contributors
import { GeoJsonEditMode } from "./geojson-edit-mode.js";
export class DrawPointMode extends GeoJsonEditMode {
    createTentativeFeature(props) {
        const { lastPointerMoveEvent } = props;
        const lastCoords = lastPointerMoveEvent ? [lastPointerMoveEvent.mapCoords] : [];
        return {
            type: 'Feature',
            properties: {
                guideType: 'tentative'
            },
            geometry: {
                type: 'Point',
                coordinates: lastCoords[0]
            }
        };
    }
    handleClick({ mapCoords }, props) {
        const geometry = {
            type: 'Point',
            coordinates: mapCoords
        };
        props.onEdit(this.getAddFeatureAction(geometry, props.data));
    }
    handlePointerMove(event, props) {
        props.onUpdateCursor('cell');
        super.handlePointerMove(event, props);
    }
}
