import { NearestPointType } from "./utils.js";
import { LineString, Point, FeatureCollection, FeatureOf } from "../utils/geojson-types.js";
import { ModeProps, ClickEvent, PointerMoveEvent, StartDraggingEvent, StopDraggingEvent, DraggingEvent, Viewport, GuideFeatureCollection, EditHandleFeature } from "./types.js";
import { GeoJsonEditMode } from "./geojson-edit-mode.js";
export declare class ModifyMode extends GeoJsonEditMode {
    getGuides(props: ModeProps<FeatureCollection>): GuideFeatureCollection;
    getNearestPoint(line: FeatureOf<LineString>, inPoint: FeatureOf<Point>, viewport: Viewport | null | undefined): NearestPointType;
    handleClick(event: ClickEvent, props: ModeProps<FeatureCollection>): void;
    handleDragging(event: DraggingEvent, props: ModeProps<FeatureCollection>): void;
    _dragEditHandle(editType: string, props: ModeProps<FeatureCollection>, editHandle: EditHandleFeature, event: StopDraggingEvent | DraggingEvent): void;
    handlePointerMove(event: PointerMoveEvent, props: ModeProps<FeatureCollection>): void;
    handleStartDragging(event: StartDraggingEvent, props: ModeProps<FeatureCollection>): void;
    handleStopDragging(event: StopDraggingEvent, props: ModeProps<FeatureCollection>): void;
    getCursor(event: PointerMoveEvent): string | null | undefined;
}
//# sourceMappingURL=modify-mode.d.ts.map