import { NearestPointType } from "./utils.js";
import { LineString, Point, FeatureCollection, FeatureOf } from "../utils/geojson-types.js";
import { Viewport } from "../utils/types.js";
import { ModeProps, PointerMoveEvent, StartDraggingEvent, StopDraggingEvent, DraggingEvent, EditHandleFeature, GuideFeatureCollection } from "./types.js";
import { GeoJsonEditMode } from "./geojson-edit-mode.js";
export declare class ResizeCircleMode extends GeoJsonEditMode {
    _selectedEditHandle: EditHandleFeature | null | undefined;
    _isResizing: boolean;
    getGuides(props: ModeProps<FeatureCollection>): GuideFeatureCollection;
    getNearestPoint(line: FeatureOf<LineString>, inPoint: FeatureOf<Point>, viewport: Viewport | null | undefined): NearestPointType;
    handleDragging(event: DraggingEvent, props: ModeProps<FeatureCollection>): void;
    handlePointerMove(event: PointerMoveEvent, props: ModeProps<FeatureCollection>): void;
    handleStartDragging(event: StartDraggingEvent, props: ModeProps<FeatureCollection>): void;
    handleStopDragging(event: StopDraggingEvent, props: ModeProps<FeatureCollection>): void;
    getCursor(event: PointerMoveEvent): string | null | undefined;
}
//# sourceMappingURL=resize-circle-mode.d.ts.map