import { DefaultProps } from '@deck.gl/core';
import { EditableLayer, EditableLayerProps } from "./editable-layer.js";
export type EditableH3ClusterLayerProps<DataT> = EditableLayerProps & {
    data: DataT;
    resolution?: number;
    mode?: any;
    modeConfig?: any;
    selectedIndexes?: number[];
    getEditedCluster?: (updatedHexagons: any[], existingCluster: any) => any;
    getHexagons?: (d: any) => number[];
    onEdit?: (updatedData?: any, editType?: string, featureIndexes?: number[], editContext?: any) => void;
    filled?: boolean;
    stroked?: boolean;
    lineWidthScale?: number;
    lineWidthMinPixels?: number;
    lineWidthMaxPixels?: number;
    lineWidthUnits?: string;
};
export declare class EditableH3ClusterLayer extends EditableLayer<any, EditableH3ClusterLayerProps<any>> {
    static layerName: string;
    static defaultProps: DefaultProps<EditableH3ClusterLayerProps<any>>;
    state: EditableLayer['state'] & {
        cursor?: 'grabbing' | 'grab' | null;
        tentativeHexagonIDs: string[];
    };
    initializeState(): void;
    getDerivedHexagonIDs(coords: any): void;
    getDerivedHexagonID(coords: any): void;
    renderLayers(): any;
    getSelectedHexIDs(): number[];
    getCursor({ isDragging }: {
        isDragging: boolean;
    }): 'grabbing' | 'grab';
}
//# sourceMappingURL=editable-h3-cluster-layer.d.ts.map