import { CompositeLayer, CompositeLayerProps, DefaultProps } from '@deck.gl/core';
import turfDifference from '@turf/difference';
export declare const SELECTION_TYPE: {
    NONE: any;
    RECTANGLE: string;
    POLYGON: string;
};
interface SelectionLayerProps<DataT> extends CompositeLayerProps {
    layerIds: any[];
    onSelect: (info: any) => any;
    selectionType: string | null;
}
export declare class SelectionLayer<DataT, ExtraPropsT> extends CompositeLayer<ExtraPropsT & Required<SelectionLayerProps<DataT>>> {
    static layerName: string;
    static defaultProps: DefaultProps<SelectionLayerProps<any>>;
    state: {
        pendingPolygonSelection: {
            bigPolygon: ReturnType<typeof turfDifference>;
        };
    };
    _selectRectangleObjects(coordinates: any): void;
    _selectPolygonObjects(coordinates: any): void;
    renderLayers(): any[];
    shouldUpdateState({ changeFlags: { stateChanged, propsOrDataChanged } }: Record<string, any>): any;
}
export {};
//# sourceMappingURL=selection-layer.d.ts.map