import { PolygonLayer } from '@deck.gl/layers';
import { Color } from "../../utils/types.js";
export declare const SELECTION_TYPE: {
    NONE: any;
    RECTANGLE: string;
    POLYGON: string;
};
export declare class DeckDrawer {
    nebula: Record<string, any>;
    usePolygon: boolean;
    validPolygon: boolean;
    landPoints: [number, number][];
    mousePoints: [number, number][];
    constructor(nebula: Record<string, any>);
    _getLayerIds(): any;
    _selectFromPickingInfos(pickingInfos: Record<string, any>[]): void;
    _getBoundingBox(): Record<string, any>;
    _selectRectangleObjects(): void;
    _selectPolygonObjects(): void;
    _getMousePosFromEvent(event: Record<string, any>): [number, number];
    handleEvent(event: Record<string, any>, lngLat: [number, number], selectionType: number): {
        redraw: boolean;
        deactivate: boolean;
    };
    reset(): void;
    _makeStartPointHighlight(center: [number, number]): number[];
    render(): (PolygonLayer<any, {
        id: "DeckDrawerView";
        data: any[];
        fp64: boolean;
        opacity: 1;
        pickable: false;
        lineWidthMinPixels: 2;
        lineWidthMaxPixels: 2;
        lineDashJustified: true;
        getLineColor: (obj: {
            lineColor?: Color;
        }) => Color;
        getFillColor: (obj: {
            fillColor?: Color;
        }) => Color;
        getPolygon: (o: {
            polygon?: any;
        }) => any;
    }> | PolygonLayer<any, {
        id: "DeckDrawerPick";
        data: any[];
        getLineColor: (obj: {
            lineColor?: Color;
        }) => Color;
        getFillColor: (obj: {
            fillColor?: Color;
        }) => Color;
        fp64: boolean;
        opacity: 1;
        stroked: false;
        pickable: true;
        getPolygon: (o: {
            polygon?: any;
        }) => any;
    }>)[];
}
//# sourceMappingURL=deck-drawer.d.ts.map