import { EventEmitter } from 'eventemitter3';
import { WebMercatorViewport } from '@deck.gl/core';
import { DeckDrawer } from "./deck-renderer/deck-drawer.js";
export declare class NebulaCore {
    init(props: Record<string, any>): void;
    detach(): void;
    updateProps(newProps: Record<string, any>): void;
    props: Record<string, any>;
    deckgl: Record<string, any> | null;
    mainContainer: Record<string, any> | null;
    deckglMouseOverInfo: Record<string, any> | null | undefined;
    _deckDrawer: DeckDrawer;
    _mouseWasDown: boolean;
    wmViewport: WebMercatorViewport;
    queryObjectEvents: EventEmitter<string | symbol, any>;
    forceUpdate: () => any;
    inited: boolean;
    log(message: string): void;
    updateAllDeckObjects(): void;
    updateDeckObjectsByIds(ids: string[]): void;
    rerenderLayers(): void;
    _isNebulaEvent({ buttons, target, type }: Record<string, any>): boolean;
    _onMouseEvent: (event: MouseEvent) => void;
    getMouseGroundPosition(event: Record<string, any>): [number, number];
    unprojectMousePosition(mousePosition: [number, number]): [number, number];
    _handleDeckGLEvent(event: Record<string, any>): void;
    getExtraDeckLayers(): Record<string, any>[];
    renderDeckLayers(): unknown[];
    getAllLayers(): Record<string, any>[];
    getRenderedLayers(): unknown[];
    updateAndGetRenderedLayers(layers: Record<string, any>[], viewport: WebMercatorViewport, container: Record<string, any>): unknown[];
    setDeck(deckgl: Record<string, any> | null): void;
    setMainContainer(mainContainer: Record<string, any> | null): void;
}
//# sourceMappingURL=nebula-core.d.ts.map