import { FeatureCollection, Feature, Position } from "../utils/geojson-types.js";
import { ClickEvent, PointerMoveEvent, StartDraggingEvent, StopDraggingEvent } from "../edit-modes/types.js";
import { ModeHandler, EditAction, EditHandle } from "./mode-handler.js";
export declare class CompositeModeHandler extends ModeHandler {
    handlers: Array<ModeHandler>;
    options: Record<string, any>;
    constructor(handlers: Array<ModeHandler>, options?: Record<string, any>);
    _coalesce<T>(callback: (arg0: ModeHandler) => T, resultEval?: ((arg0: T) => boolean | null | undefined) | null): T | undefined;
    setFeatureCollection(featureCollection: FeatureCollection): void;
    setModeConfig(modeConfig: any): void;
    setSelectedFeatureIndexes(indexes: number[]): void;
    handleClick(event: ClickEvent): EditAction | null | undefined;
    handlePointerMove(event: PointerMoveEvent): {
        editAction: EditAction | null | undefined;
        cancelMapPan: boolean;
    };
    handleStartDragging(event: StartDraggingEvent): EditAction | null | undefined;
    handleStopDragging(event: StopDraggingEvent): EditAction | null | undefined;
    getTentativeFeature(): Feature | null | undefined;
    getEditHandles(picks?: Array<Record<string, any>>, mapCoords?: Position): EditHandle[];
    getCursor({ isDragging }: {
        isDragging: boolean;
    }): string;
}
//# sourceMappingURL=composite-mode-handler.d.ts.map