// deck.gl-community
// SPDX-License-Identifier: MIT
// Copyright (c) vis.gl contributors
import { TranslateHandler } from "./translate-handler.js";
// TODO edit-modes: delete handlers once EditMode fully implemented
export class DuplicateHandler extends TranslateHandler {
    handleStartDragging(event) {
        if (!this._isTranslatable) {
            return null;
        }
        this._geometryBeforeTranslate = this.getSelectedFeaturesAsFeatureCollection();
        return this._geometryBeforeTranslate
            ? this.getAddManyFeaturesAction(this._geometryBeforeTranslate)
            : null;
    }
    getCursor({ isDragging }) {
        if (this._isTranslatable) {
            return 'copy';
        }
        return isDragging ? 'grabbing' : 'grab';
    }
}
