import { Position } from "../utils/geojson-types.js";
import { PointerMoveEvent, StopDraggingEvent } from "../edit-modes/types.js";
import { EditAction } from "./mode-handler.js";
import { ModifyHandler } from "./modify-handler.js";
export declare class ElevationHandler extends ModifyHandler {
    makeElevatedEvent<T extends PointerMoveEvent | StopDraggingEvent>(event: T, position: Position): T;
    handlePointerMove(event: PointerMoveEvent): {
        editAction: EditAction | null | undefined;
        cancelMapPan: boolean;
    };
    handleStopDragging(event: StopDraggingEvent): EditAction | null | undefined;
    getCursor(params: {
        isDragging: boolean;
    }): string;
    static calculateElevationChangeWithViewport(viewport: any, { pointerDownScreenCoords, screenCoords }: {
        pointerDownScreenCoords: Position;
        screenCoords: Position;
    }): number;
}
//# sourceMappingURL=elevation-handler.d.ts.map