import { FeatureOf, FeatureWithProps, LineString, Point, Position } from "./geojson-types.js";
import { Viewport } from "./types.js";
export type NearestPointType = FeatureWithProps<Point, {
    dist: number;
    index: number;
}>;
export declare function toDeckColor(color?: [number, number, number, number] | number, defaultColor?: [number, number, number, number]): [number, number, number, number];
export declare function recursivelyTraverseNestedArrays(array: Array<any>, prefix: Array<number>, fn: Function): boolean;
export declare function generatePointsParallelToLinePoints(p1: Position, p2: Position, mapCoords: Position): Position[];
export declare function distance2d(x1: number, y1: number, x2: number, y2: number): number;
export declare function mix(a: number, b: number, ratio: number): number;
export declare function nearestPointOnProjectedLine(line: FeatureOf<LineString>, inPoint: FeatureOf<Point>, viewport: Viewport): NearestPointType;
/**
 * Inserts toInsert string into base string before insertBefore string.
 * @param base A string to insert into.
 * @param insertBeforeText A sub string in `base` string to insert before.
 * @param toInsert A string to insert.
 * @returns Combined string. `base` string if `insertBefore` string isn't found.
 */
export declare function insertBefore(base: string, insertBeforeText: string, toInsert: string): string;
//# sourceMappingURL=utils.d.ts.map